//============================================================================
// Name        : tk3-2019-20-z1-upoznavanje.cpp
// Author      : Bogdan J.
// Version     :
// Copyright   : 
// Description : takmicenje, kvalifikaciono 3, 2019/20, zadatak 1 "upoznavanje"
//============================================================================

#include <iostream>
using namespace std;

int main() {
	unsigned long n, i;
	long x, a, levo, desno, obilazak_s;

	cin >> n >> x;

	levo = x;
	desno = x;

	for (i = 0; i < n; i++) {

		cin >> a;

		if (a < levo) {
			levo = a;
		} else if (desno < a) {
			desno = a;
		}
	}

	obilazak_s = 0;

	if ((desno - x) > (x - levo)) {
		obilazak_s = x + desno - 2 * levo;
	} else {
		obilazak_s = 2 * desno - x - levo;
	}

	cout << obilazak_s << endl;
	return 0;
}